Get a sweep config

Get a sweep config associated with a wallet.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.

GET
/accounts/{accountID}/sweep-configs/{sweepConfigID}
cURL Go Java .NET Ruby TypeScript PHP Python
curl -X GET "https://api.moov.io/accounts/{accountID}/sweep-configs/{sweepConfigID}" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()

var accountID string
var sweepConfigID string

mc.GetSweepConfig(ctx, accountID, sweepConfigID)
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetSweepConfigResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        GetSweepConfigResponse res = sdk.sweeps().getConfig()
                .accountID("ae1c2e76-3195-4fc8-b922-b7af6dcf1aad")
                .sweepConfigID("bfddff28-5291-4d9b-a0f8-22a0895e8486")
                .call();

        if (res.sweepConfig().isPresent()) {
            // handle response
        }
    }
}
using Moov.Sdk;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.Sweeps.GetConfigAsync(
    accountID: "ae1c2e76-3195-4fc8-b922-b7af6dcf1aad",
    sweepConfigID: "bfddff28-5291-4d9b-a0f8-22a0895e8486"
);

// handle response
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.sweeps.get_config(account_id: 'ae1c2e76-3195-4fc8-b922-b7af6dcf1aad', sweep_config_id: 'bfddff28-5291-4d9b-a0f8-22a0895e8486')

unless res.sweep_config.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.sweeps.getConfig({
    accountID: "ae1c2e76-3195-4fc8-b922-b7af6dcf1aad",
    sweepConfigID: "bfddff28-5291-4d9b-a0f8-22a0895e8486",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();



$response = $sdk->sweeps->getConfig(
    accountID: 'ae1c2e76-3195-4fc8-b922-b7af6dcf1aad',
    sweepConfigID: 'bfddff28-5291-4d9b-a0f8-22a0895e8486'

);

if ($response->sweepConfig !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.sweeps.get_config(account_id="ae1c2e76-3195-4fc8-b922-b7af6dcf1aad", sweep_config_id="bfddff28-5291-4d9b-a0f8-22a0895e8486")

    # Handle response
    print(res)
200 401 403 404 429 500 504
The request completed successfully.
application/json
{
  "sweepConfigID": "string",
  "walletID": "string",
  "status": "enabled",
  "pushPaymentMethod": {
    "paymentMethodID": "string",
    "disabledOn": "2019-08-24T14:15:22Z"
  },
  "pullPaymentMethod": {
    "paymentMethodID": "string",
    "disabledOn": "2019-08-24T14:15:22Z"
  },
  "minimumBalance": "string",
  "statementDescriptor": "string",
  "lockedFields": [
    "string"
  ],
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

accountID

string required

sweepConfigID

string required

Response

application/json

createdOn

string<date-time> required

pullPaymentMethod

object required
The payment method used to push or pull funds to a bank account. The push payment method can only be ach-credit-standard, ach-credit-same-day, or rtp-credit. The pull payment method can only be ach-debit-fund.
Show child attributes

pushPaymentMethod

object required
The payment method used to push or pull funds to a bank account. The push payment method can only be ach-credit-standard, ach-credit-same-day, or rtp-credit. The pull payment method can only be ach-debit-fund.
Show child attributes

paymentMethodID

string required
ID of the payment method.

disabledOn

string<date-time>

status

string<enum> required
Possible values: enabled, disabled

sweepConfigID

string required

updatedOn

string<date-time> required

walletID

string required

lockedFields

array<string>
An array of fields that are locked. To request updates, please contact Moov support.

minimumBalance

string Pattern
An optional field to specify an amount to maintain in the wallet. This is a decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99. If not supplied, the default is 0.00.

statementDescriptor

string [4 to 10] characters
The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor.